# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/MOP.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/Builder/Module.pm) perl(Test/Deep.pm) perl(Test/Pod.pm) perl(Test/Spec.pm) perl(Tie/Array.pm) perl(Want.pm) perl(base.pm) perl(lib.pm) perl(strict.pm) perl(vars.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_version 1.02
%define module_name Jasmine-Spy
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.02
Release: alt1
Summary: Mocking library for perl inspired by Jasmine's spies
Group: Development/Perl
License: perl
URL: https://github.com/perljedi/ADD-URL-HERE

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLJEDI/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
use Test::Spec;
_use Jasmine::Spy qw(spyOn stopSpying expectSpy);

_describe "FooClass" => sub {
__before each => sub {
___spyOn("BarClass", "bazMethod")->andReturn("Bop");
___spyOn("BarClass", "bam")->andCallThrough;
__};
__it "calls BarClass" => sub {
___FooClass->doTheThing();
___expectSpy("BarClass", "bazMethod")->toHaveBeenCalled();
__};
__it "calls BarClass->bat method with 'bam'" => sub {
___FooClass->doTheThing();
___expectSpy("BarClass", "bat")->toHaveBeenCalledWith('bam')
__};
__after each => sub {
___stopSpying("BarClass");
__};
_};
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/J*

%changelog
* Sun Jun 05 2016 Igor Vlasenko <viy@altlinux.ru> 1.02-alt1
- initial import by package builder

